<div class="bgimage">
  <div class="container-fluid p-5">
    <div *ngIf="searchFlag">
      <h1 class="address-bar pt-3 pb-3">ADDRESS SEARCH ENGINE</h1>
    </div>

    <div class="rounded box">
      <!-- dropdown for autocomplete -->
      <mat-autocomplete #auto="matAutocomplete">
        <mat-option
          *ngFor="let option of filteredOptions | async"
          [value]="option"
        >
          <span [innerHTML]="option | highlight: toHighlight"></span>
          <span></span>
        </mat-option>
      </mat-autocomplete>

      <!-- search box form -->
      <form class="d-flex m-3" role="search">
        <input
          [matAutocomplete]="auto"
          class="form-control me-2 colorbox"
          type="search"
          placeholder="Search"
          aria-label="Search"
          [formControl]="searchTerm"
        />

        <button
          class="btn btn-primary"
          type="submit"
          [disabled]="searchTerm.invalid"
          (click)="search()"
        >
          Search
        </button>
      </form>
      <mat-error *ngIf="this.searchTerm?.hasError('pattern')" class="ms-3"
        >Special characters are not allowed</mat-error
      >
    </div>
    <!-- search results division -->
    <div class="Cardbg">
      <h2 class="text-white" *ngIf="!searchFlag && numOfSimilarAdd > 0">
        Results We Found
      </h2>
      <h2 class="text-white" *ngIf="!searchFlag && numOfSimilarAdd == 0">
        No Results Found
      </h2>
      <div class="row row-cols-2 g-3">
        <!-- cards of similar search result addresses -->

        <div *ngFor="let addr of similarSearchAddresses">
          <div class="card mb-3" style="max-width: 500px">
            <div class="row g-0">
              <div class="col-md-4">
                <img
                  src="../../../assets/city.png"
                  class="img-fluid rounded-start"
                  alt="..."
                />
              </div>
              <div class="col-md-8">
                <div class="card-body">
                  <h4 class="card-title">
                    <b>{{ addr.addressTitle }}</b>
                  </h4>
                  <p class="card-text">{{ addr.addressDesc }}</p>
                  <a href="{{ addr.link }}" target="_blank"
                    ><i class="fa-solid fa-map-location-dot"></i
                  ></a>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
